com.ihr.xbrl.filters

## Class XBRLFilter

- java.lang.Object
- - com.ihr.xbrl.filters.XBRLFilter

-     public class XBRLFilter
      extends java.lang.Object

  The Class XBRLFilter.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `log` The Constant log.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `createExcelFunction(XBRLFactItem fact, org.hibernate.Session session)` Creates the excel function.
    `static XBRLFilterInterface` | `createFilter(java.lang.String filter, org.hibernate.Session session)` Factory method for creating a filter concrete class from the filter text string representation.
    `static XBRLFilterInterface[]` | `createFilters(XBRLFactItem fact, org.hibernate.Session session)` Creates the filters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public static final org.apache.log4j.Logger log

      The Constant log.

  - ### Constructor Detail

    - #### XBRLFilter

          public XBRLFilter()

  - ### Method Detail

    - #### createFilter

          public static XBRLFilterInterface createFilter(java.lang.String filter,
                                         org.hibernate.Session session)
                                                  throws FilterException

      Factory method for creating a filter concrete class from the filter text string representation.
      Parameters:
        `filter` - the filter
        `session` - the session
      Returns:
        the XBRL filter interface
      Throws:
        `FilterException` - the filter exception

    - #### createFilters

          public static XBRLFilterInterface[] createFilters(XBRLFactItem fact,
                                            org.hibernate.Session session)

      Creates the filters.
      Parameters:
        `fact` - the fact
        `session` - the session
      Returns:
        the XBRL filter interface[]

    - #### createExcelFunction

          public static java.lang.String createExcelFunction(XBRLFactItem fact,
                                             org.hibernate.Session session)

      Creates the excel function.
      Parameters:
        `fact` - the fact
        `session` - the session
      Returns:
        the string